#! /bin/bash 
#
#   Print pid and count for specified shm partition
smp_data() {
    echo "0 `${exec_prefix}/bin/smstat buffer_tot $1`"
    ${exec_prefix}/bin/smdump -c $1 \
      | grep '^ ' \
      | grep -v 'id' \
      | sed -e 's,^ *,,g' -e 's,  *, ,g' \
      | cut -d ' ' -f 2,6
}

export TERM=${TERM:-dumb}

#######################################
#        Initialize the stuff         #
#######################################
export TERM=${TERM:-dumb}
prefix=/usr
exec_prefix=${prefix}
datarootdir=${prefix}/share
sd=$HOME/dmtspi/cache
td=${datarootdir}/gds-utilities/Spi
user=`whoami`

while [ $# != 0 ]; do
    if [ `echo $1 | grep -c '^--gds-config='` != 0 ]; then
	td="`echo $1 | sed -e 's,^--gds-config=,,'`/Spi"
    elif [ `echo $1 | grep -c '^--local_html='` != 0 ]; then
	dh=`echo $1 | sed -e 's,^--local_html=,,'`
    fi
    shift
done

TOP=`which top`;
if [ "$OSName" = "SunOS" ]; then
    TOPCMD="$TOP -d12 -s1 200"
else
    TOPCMD="$TOP -b -d1 -n1 -u$user"
fi

mkdir -p $sd
TD="/tmp"

# Identify machine
gn=`uname -n`
hostl=`grep "^$gn" $td/HOST.lookup`
g=`echo $hostl | cut -d ' ' -f 2`
gip=`echo $hostl | cut -d ' ' -f 3`
gLN=`echo $hostl | cut -d ' ' -f 4`

# Define remote directories

if [ -n "$dh" ]; then
  dh="$dh"
elif [ "$gip" = "ligo-wa" ]; then 
  dh="/gds-h1/dmt/html"
elif [ "$gip" = "ligo-la" ]; then
  dh="/gds/dmt/html"
else
  dh="$HOME/public_html/gds"
fi

dd="$dh/Monitors"

mkdir -p $dd/$g

#######################################
#  Look for frame consumption         #
#######################################
parts=`smlist | sed -e 's,^ *,,g' -e 's,  *, ,g' | 
	        cut -d ' ' -f 2 | grep -v name`
for p in $parts; do
    alist="$TD/After_${g}_${p}.list"
    blist="$TD/Before_${g}_${p}.list"
    tlist="$TD/Temp_${g}_${p}.list"
    smp_data $p > $tlist
    mv $alist $blist
    mv $tlist $alist
done

#######################################
#  Prepare DMT diagnostic info files  #
#######################################
# Add TOP info
$TOPCMD \
  | sed -f $td/top-html.sed \
  >  $dd/$g/TOPinfo_t.html
echo "<br><br><br>" \
  >> $dd/$g/TOPinfo_t.html

#--------------------------------------- This doesn't work in linux
#  | nawk -f $td/AT.script 
#

mv $dd/$g/TOPinfo_t.html $dd/$g/TOPinfo.html
